程序脚本

eclipse支持shell和perl开发

Eclipse 是一个开放源代码的、基于 Java 的可扩展开发平台。就其本身而言,它只是一个框架和一组服务,用于通过插件组件构建开发环境。幸运的是,Eclipse 附带了一个标准的插件集,包括 Java 开发工具(Java Development Tools,JDT)。

平时蚊子就用他来完成一些php代码的编写工作,使用起来还是很方便快捷的。尤其是它的代码format工具,可以非常方便的就把格式混乱的代码格式化好。

但蚊子我不仅仅只使用php一种语言,还需要写写shell或者perl的脚本,来完成日常运维的工作。以前shell我用notpad++来写,perl使用padre来写,工具装了不少,有时几个要是同时写的话,就需要打开好几个软件,不仅占系统资源,有些软件还没法格式化代码。

现如今,eclipse已经有插件支持shell和perl,下面蚊子就把安装插件过程整理一下。方便日后自己查看。也方便别人。

ShellEd插件的安装

1,打开eclipse,选择Help > Install New Software
2,在"Work with"处填入:http://akurtakov.fedorapeople.org/shelled/updates/
3,在下面的列表里找Shelled,并选择安装
4,安装好后重启,然后打开或创建一个.sh的试试看吧

epic插件的安装

1,打开eclipse,选择Help > Install New Software
2,在"Work with"处填入:http://e-p-i-c.sf.net/updates/testing
3,在下面的列表里找EPIC,并选择安装,如右图所示
4,安装好后重启,然后打开或创建一个perl程序试试看吧。

 

注:关于windows下shell和perl的运行环境还请自行配置,这都不是什么很难的事情,shell的话可以使用cygwin,perl的话直接下载windows版的perl程序安装即可。

ShellEd – Eclipse Shell Script Editor插件 参考地址:http://sourceforge.net/apps/trac/shelled/wiki/WikiStart

epic插件参考地址:http://www.epic-ide.org/index.php

Related Post

1 Comment

  1. 我安装你说的方法安装shelled报告错误,我用的windows eclipse版本是3.7
    Cannot complete the install because one or more required items could not be found.
    Software being installed: ShellEd 2.0.0.201108181409 (net.sourceforge.shelled.feature.group 2.0.0.201108181409)
    Missing requirement: ShellEd Core Plug-in 2.0.0.201108181409 (net.sourceforge.shelled.core 2.0.0.201108181409) requires ‘bundle org.eclipse.dltk.core [3.0.0,4.0.0)’ but it could not be found
    Cannot satisfy dependency:
    From: ShellEd 2.0.0.201108181409 (net.sourceforge.shelled.feature.group 2.0.0.201108181409)
    To: net.sourceforge.shelled.core [2.0.0.201108181409]

Leave a Reply

Your email address will not be published. Required fields are marked *